#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# WebGLFastSpriteBatch Class

Defined in: `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:11`
Module: PIXI

## Constructor

### `WebGLFastSpriteBatch`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:11`

- Index
- Methods
- Properties

## Item Index

### Methods

- begin
- end
- flush
- render
- renderSprite
- setContext
- start
- stop

### Properties

- currentBaseTexture
- currentBatchSize
- currentBlendMode
- drawing
- indexBuffer
- indices
- lastIndexCount
- matrix
- maxSize
- renderSession
- shader
- size
- vertexBuffer
- vertices
- vertSize

## Methods

### `begin`

(

- `spriteBatch`
- `renderSession`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:153`

#### Parameters:

- `spriteBatch` WebGLSpriteBatch
- `renderSession` Object

### `end`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:168`

### `flush`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:348`

### `render`

(

- `spriteBatch`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:176`

#### Parameters:

- `spriteBatch` WebGLSpriteBatch

### `renderSprite`

(

- `sprite`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:207`

#### Parameters:

- `sprite` Sprite

### `setContext`

(

- `gl`

)

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:129`

Sets the WebGL Context.

#### Parameters:

- `gl` WebGLContext

  the current WebGL drawing context

### `start`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:396`

### `stop`

()

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:388`

## Properties

### `currentBaseTexture`

BaseTexture

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:95`

### `currentBatchSize`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:89`

### `currentBlendMode`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:101`

### `drawing`

Boolean

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:83`

### `indexBuffer`

Object

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:61`

### `indices`

Uint16Array

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:48`

Index data

### `lastIndexCount`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:67`

### `matrix`

Matrix

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:119`

### `maxSize`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:23`

### `renderSession`

Object

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:107`

### `shader`

Object

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:113`

### `size`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:29`

### `vertexBuffer`

Object

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:55`

### `vertices`

Float32Array

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:41`

Vertex data

### `vertSize`

Number

Defined in `src/pixi/renderers/webgl/utils/WebGLFastSpriteBatch.js:17`